> ## Name

> cgGetProgramOutputVertices - get the maximum number of geometry program output vertices

> ## Synopsis

>     #include <Cg/cg.h>

>     int cgGetProgramOutputVertices( CGprogram program );

> ## Parameters

> program
>   The program.

> ## Return Values

> Returns the maximum number of geometry program output vertices.

> Returns -1 if the maximum has not been specifed by cgSetProgramOutputVertices.

> ## Description

> cgGetProgramOutputVertices queries the application-specified maximum number of output vertices for a geometry program.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> ## History

> cgGetProgramOutputVertices was introduced in Cg 3.1.

> ## See Also

> cgSetProgramOutputVertices, cgGetProgramProfile, gp4gp, gp5gp, glslg.